#ifndef MY_ME_KERNEL_H
#define MY_ME_KERNEL_H

#include "my_me_struct.h"

extern "C" void setupGPUFrames( int w, int h );
extern "C" void copyFramesToGPU( int w, int h, unsigned char* refdata, unsigned char* curdata );
extern "C" void copyFrameInfosToGPU( sFrameInfos* fInfos ,sMBInfos* mbTab_cpu /*,sMBInfos* prevMbTab_cpu*/);
extern "C" void deleteGPUFrames();
extern "C" void doME_GPU(sFrameInfos *fInfos);
extern "C" void getFrameInfosFromGPU( sFrameInfos* fInfos ,sMBInfos* mbTab_cpu /*,sMBInfos* prevMbTab_cpu*/);

#endif //MY_ME_KERNEL_H
