#ifndef MY_ME_STRUCT_H
#define MY_ME_STRUCT_H

typedef struct
{
	int SAD;
	int MVx;
	int MVy;
} SADResult;

typedef struct
{
	unsigned int offset;
	unsigned int uMB;
	unsigned short uMBx, uMBy;
	
	SADResult res16x16;
	SADResult res8x16[2];
	SADResult res16x8[2];
	SADResult res8x8_sub8x8[4];
	SADResult res8x8_sub4x8[4][2];
	SADResult res8x8_sub8x4[4][2];
	SADResult res8x8_sub4x4[4][4];
} sMBInfos;

typedef struct
{
	unsigned int uNumMBs;
	unsigned int pitchPixels;
	unsigned int frameHeight;
	unsigned int widthInMBs;
	unsigned int heightInMBs;
} sFrameInfos;

#endif //MY_ME_STRUCT_H
